## WebKitDOMHTMLInputElement WebKitDOMHTMLInputElement |

## Functions

void | webkit_dom_html_input_element_select ()
gchar * | webkit_dom_html_input_element_get_accept ()
void | webkit_dom_html_input_element_set_accept ()
gchar * | webkit_dom_html_input_element_get_alt ()
void | webkit_dom_html_input_element_set_alt ()
gboolean | webkit_dom_html_input_element_get_autofocus ()
void | webkit_dom_html_input_element_set_autofocus ()
gboolean | webkit_dom_html_input_element_get_default_checked ()
void | webkit_dom_html_input_element_set_default_checked ()
gboolean | webkit_dom_html_input_element_get_checked ()
void | webkit_dom_html_input_element_set_checked ()
gboolean | webkit_dom_html_input_element_get_disabled ()
void | webkit_dom_html_input_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_input_element_get_form ()
WebKitDOMFileList * | webkit_dom_html_input_element_get_files ()
void | webkit_dom_html_input_element_set_files ()
gulong | webkit_dom_html_input_element_get_height ()
void | webkit_dom_html_input_element_set_height ()
gboolean | webkit_dom_html_input_element_get_indeterminate ()
void | webkit_dom_html_input_element_set_indeterminate ()
glong | webkit_dom_html_input_element_get_max_length ()
void | webkit_dom_html_input_element_set_max_length ()
gboolean | webkit_dom_html_input_element_get_multiple ()
void | webkit_dom_html_input_element_set_multiple ()
gchar * | webkit_dom_html_input_element_get_name ()
void | webkit_dom_html_input_element_set_name ()
gboolean | webkit_dom_html_input_element_get_read_only ()
void | webkit_dom_html_input_element_set_read_only ()
gulong | webkit_dom_html_input_element_get_size ()
void | webkit_dom_html_input_element_set_size ()
gchar * | webkit_dom_html_input_element_get_src ()
void | webkit_dom_html_input_element_set_src ()
gchar * | webkit_dom_html_input_element_get_input_type ()
void | webkit_dom_html_input_element_set_input_type ()
gchar * | webkit_dom_html_input_element_get_default_value ()
void | webkit_dom_html_input_element_set_default_value ()
gchar * | webkit_dom_html_input_element_get_value ()
void | webkit_dom_html_input_element_set_value ()
gulong | webkit_dom_html_input_element_get_width ()
void | webkit_dom_html_input_element_set_width ()
gboolean | webkit_dom_html_input_element_get_will_validate ()
gchar * | webkit_dom_html_input_element_get_align ()
void | webkit_dom_html_input_element_set_align ()
gchar * | webkit_dom_html_input_element_get_use_map ()
void | webkit_dom_html_input_element_set_use_map ()
gchar * | webkit_dom_html_input_element_get_capture_type ()
void | webkit_dom_html_input_element_set_capture_type ()
gboolean | webkit_dom_html_input_element_get_capture ()
gboolean | webkit_dom_html_input_element_is_edited ()
gboolean | webkit_dom_html_input_element_get_auto_filled ()
void | webkit_dom_html_input_element_set_auto_filled ()
void | webkit_dom_html_input_element_set_editing_value ()

## Properties

char * | accept | Read / Write
char * | align | Read / Write
char * | alt | Read / Write
gboolean | autofocus | Read / Write
char * | capture | Read / Write
gboolean | checked | Read / Write
gboolean | default-checked | Read / Write
char * | default-value | Read / Write
gboolean | disabled | Read / Write
WebKitDOMFileList * | files | Read
WebKitDOMHTMLFormElement * | form | Read
gulong | height | Read / Write
gboolean | indeterminate | Read / Write
glong | max-length | Read / Write
gboolean | multiple | Read / Write
char * | name | Read / Write
gboolean | read-only | Read / Write
gulong | size | Read / Write
char * | src | Read / Write
char * | type | Read / Write
char * | use-map | Read / Write
char * | value | Read / Write
gulong | width | Read / Write
gboolean | will-validate | Read

## Types and Values

struct | WebKitDOMHTMLInputElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLInputElement

## Implemented Interfaces

WebKitDOMHTMLInputElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_input_element_select ()

    void
    webkit_dom_html_input_element_select (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_select` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

### webkit_dom_html_input_element_get_accept ()

    gchar *
    webkit_dom_html_input_element_get_accept
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_accept` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_accept ()

    void
    webkit_dom_html_input_element_set_accept
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_accept` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_alt ()

    gchar *
    webkit_dom_html_input_element_get_alt (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_alt` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_alt ()

    void
    webkit_dom_html_input_element_set_alt (WebKitDOMHTMLInputElement *self,
                                           const gchar *value);

`webkit_dom_html_input_element_set_alt` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_autofocus ()

    gboolean
    webkit_dom_html_input_element_get_autofocus
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_autofocus ()

    void
    webkit_dom_html_input_element_set_autofocus
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_autofocus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_default_checked ()

    gboolean
    webkit_dom_html_input_element_get_default_checked
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_default_checked` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_default_checked ()

    void
    webkit_dom_html_input_element_set_default_checked
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_default_checked` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

Since: 2.16

### webkit_dom_html_input_element_get_checked ()

    gboolean
    webkit_dom_html_input_element_get_checked
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_checked` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_checked ()

    void
    webkit_dom_html_input_element_set_checked
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_checked` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_disabled ()

    gboolean
    webkit_dom_html_input_element_get_disabled
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_disabled ()

    void
    webkit_dom_html_input_element_set_disabled
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_input_element_get_form
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_form` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_input_element_get_files ()

    WebKitDOMFileList *
    webkit_dom_html_input_element_get_files
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_files` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A WebKitDOMFileList.

[transfer full]

### webkit_dom_html_input_element_set_files ()

    void
    webkit_dom_html_input_element_set_files
                                   (WebKitDOMHTMLInputElement *self,
                                    WebKitDOMFileList *value);

`webkit_dom_html_input_element_set_files` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A WebKitDOMFileList |

### webkit_dom_html_input_element_get_height ()

    gulong
    webkit_dom_html_input_element_get_height
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_height ()

    void
    webkit_dom_html_input_element_set_height
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value);

`webkit_dom_html_input_element_set_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |

### webkit_dom_html_input_element_get_indeterminate ()

    gboolean
    webkit_dom_html_input_element_get_indeterminate
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_indeterminate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_indeterminate ()

    void
    webkit_dom_html_input_element_set_indeterminate
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_indeterminate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_max_length ()

    glong
    webkit_dom_html_input_element_get_max_length
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_max_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A glong

### webkit_dom_html_input_element_set_max_length ()

    void
    webkit_dom_html_input_element_set_max_length
                                   (WebKitDOMHTMLInputElement *self,
                                    glong value,
                                    GError **error);

`webkit_dom_html_input_element_set_max_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A glong |
error | GError |

### webkit_dom_html_input_element_get_multiple ()

    gboolean
    webkit_dom_html_input_element_get_multiple
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_multiple` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_set_multiple ()

    void
    webkit_dom_html_input_element_set_multiple
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_multiple` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_name ()

    gchar *
    webkit_dom_html_input_element_get_name
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_name ()

    void
    webkit_dom_html_input_element_set_name
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_read_only ()

    gboolean
    webkit_dom_html_input_element_get_read_only
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_read_only` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_html_input_element_set_read_only ()

    void
    webkit_dom_html_input_element_set_read_only
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_read_only` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

### webkit_dom_html_input_element_get_size ()

    gulong
    webkit_dom_html_input_element_get_size
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_size ()

    void
    webkit_dom_html_input_element_set_size
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value,
                                    GError **error);

`webkit_dom_html_input_element_set_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |
error | GError |

### webkit_dom_html_input_element_get_src ()

    gchar *
    webkit_dom_html_input_element_get_src (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_src ()

    void
    webkit_dom_html_input_element_set_src (WebKitDOMHTMLInputElement *self,
                                           const gchar *value);

`webkit_dom_html_input_element_set_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_input_type ()

    gchar *
    webkit_dom_html_input_element_get_input_type
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_input_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_input_type ()

    void
    webkit_dom_html_input_element_set_input_type
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_input_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_default_value ()

    gchar *
    webkit_dom_html_input_element_get_default_value
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_default_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_default_value ()

    void
    webkit_dom_html_input_element_set_default_value
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_default_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_value ()

    gchar *
    webkit_dom_html_input_element_get_value
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_value ()

    void
    webkit_dom_html_input_element_set_value
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_width ()

    gulong
    webkit_dom_html_input_element_get_width
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gulong

### webkit_dom_html_input_element_set_width ()

    void
    webkit_dom_html_input_element_set_width
                                   (WebKitDOMHTMLInputElement *self,
                                    gulong value);

`webkit_dom_html_input_element_set_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gulong |

### webkit_dom_html_input_element_get_will_validate ()

    gboolean
    webkit_dom_html_input_element_get_will_validate
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_will_validate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_get_align ()

    gchar *
    webkit_dom_html_input_element_get_align
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_align ()

    void
    webkit_dom_html_input_element_set_align
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_use_map ()

    gchar *
    webkit_dom_html_input_element_get_use_map
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_use_map` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

### webkit_dom_html_input_element_set_use_map ()

    void
    webkit_dom_html_input_element_set_use_map
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_use_map` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

### webkit_dom_html_input_element_get_capture_type ()

    gchar *
    webkit_dom_html_input_element_get_capture_type
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_capture_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gchar

Since: 2.14

### webkit_dom_html_input_element_set_capture_type ()

    void
    webkit_dom_html_input_element_set_capture_type
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_capture_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

Since: 2.16

### webkit_dom_html_input_element_get_capture ()

    gboolean
    webkit_dom_html_input_element_get_capture
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_capture` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_html_input_element_get_capture_type()` instead.

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_is_edited ()

    gboolean
    webkit_dom_html_input_element_is_edited
                                   (WebKitDOMHTMLInputElement *input);

`webkit_dom_html_input_element_is_edited` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `webkit_dom_element_html_input_element_is_user_edited()` instead.

#### Parameters

input | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

### webkit_dom_html_input_element_get_auto_filled ()

    gboolean
    webkit_dom_html_input_element_get_auto_filled
                                   (WebKitDOMHTMLInputElement *self);

`webkit_dom_html_input_element_get_auto_filled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `webkit_dom_element_html_input_element_get_auto_filled()` instead.

#### Parameters

self | A WebKitDOMHTMLInputElement |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_html_input_element_set_auto_filled ()

    void
    webkit_dom_html_input_element_set_auto_filled
                                   (WebKitDOMHTMLInputElement *self,
                                    gboolean value);

`webkit_dom_html_input_element_set_auto_filled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `webkit_dom_element_html_input_element_set_auto_filled()` instead.

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gboolean |

Since: 2.16

### webkit_dom_html_input_element_set_editing_value ()

    void
    webkit_dom_html_input_element_set_editing_value
                                   (WebKitDOMHTMLInputElement *self,
                                    const gchar *value);

`webkit_dom_html_input_element_set_editing_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `webkit_dom_element_html_input_element_set_editing_value()` instead.

#### Parameters

self | A WebKitDOMHTMLInputElement |
value | A gchar |

Since: 2.16

## Types and Values

### struct WebKitDOMHTMLInputElement

    struct WebKitDOMHTMLInputElement;

## Property Details

### The `“accept”` property

      “accept”                   char *

read-write gchar* HTMLInputElement:accept.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“align”` property

      “align”                    char *

read-write gchar* HTMLInputElement:align.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“alt”` property

      “alt”                      char *

read-write gchar* HTMLInputElement:alt.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLInputElement:autofocus.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“capture”` property

      “capture”                  char *

read-write gchar* HTMLInputElement:capture.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“checked”` property

      “checked”                  gboolean

read-write gboolean HTMLInputElement:checked.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“default-checked”` property

      “default-checked”          gboolean

read-write gboolean HTMLInputElement:default-checked.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“default-value”` property

      “default-value”            char *

read-write gchar* HTMLInputElement:default-value.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLInputElement:disabled.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“files”` property

      “files”                    WebKitDOMFileList *

read-only WebKitDOMFileList* HTMLInputElement:files.

Owner: WebKitDOMHTMLInputElement

Flags: Read

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLInputElement:form.

Owner: WebKitDOMHTMLInputElement

Flags: Read

### The `“height”` property

      “height”                   gulong

read-write gulong HTMLInputElement:height.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

### The `“indeterminate”` property

      “indeterminate”            gboolean

read-write gboolean HTMLInputElement:indeterminate.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“max-length”` property

      “max-length”               glong

read-write glong HTMLInputElement:max-length.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: 0

### The `“multiple”` property

      “multiple”                 gboolean

read-write gboolean HTMLInputElement:multiple.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“name”` property

      “name”                     char *

read-write gchar* HTMLInputElement:name.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“read-only”` property

      “read-only”                gboolean

read-write gboolean HTMLInputElement:read-only.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: FALSE

### The `“size”` property

      “size”                     gulong

read-write gulong HTMLInputElement:size.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

### The `“src”` property

      “src”                      char *

read-write gchar* HTMLInputElement:src.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     char *

read-write gchar* HTMLInputElement:type.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“use-map”` property

      “use-map”                  char *

read-write gchar* HTMLInputElement:use-map.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“value”` property

      “value”                    char *

read-write gchar* HTMLInputElement:value.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    gulong

read-write gulong HTMLInputElement:width.

Owner: WebKitDOMHTMLInputElement

Flags: Read / Write

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLInputElement:will-validate.

Owner: WebKitDOMHTMLInputElement

Flags: Read

Default value: FALSE